Subject: Re: [mingw32] Re: [RFC] changing gcc default output executable na me (a.exe now)
From: Richard Hitt <[email-masked]>
To: "Andre Oliveira da Costa" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 13 Jan 2000 19:55:16 -0800

Hi all

If such a patch as this goes forward, am I right that the implicit
make(1) rules will be changed at the same time gcc and/or binutils is
changed?  I mean that
	make hello
would by default produce the file "hello" rather than "hello.exe".

And if not, why not?  :-)

Richard

On Thu, 13 Jan 2000 19:37:22 -0200, you wrote:

>> If someone wants to submit a patch to the gcc maintainers I'm sure that
>> they will give it their attention.
>>
>> In fact, if you Cc me, I will talk to people at Cygnus about it and try
>> to advocate that it be installed.
>>
>> I would suggest that somebody who feels strongly about it should start
>> working on this ASAP.
>
>That's good. Any volunteers? I'll try to take a look at it ASAP (which might
>take sometime... please, if anybody else has the chance, feel free to do it
>first). But, who is the actual responsible for appending the .exe suffix,
>gcc or ld? Also, I'd like to propose a change from GCC_SUFFIX to EXE_SUFFIX.
>What do you (Chris, Earnie, cygwin-community) think?
>
>Andre
>--
>André Oliveira da Costa
>([email-masked])

--
Want to unsubscribe from this list?
Send a message to [email-masked]